/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2010 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
SET SCAN OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE

BEGIN

  --
  -- Register Update Person Image
  --
  xxas_com_sr_pkg.seed_update_service
    (p_service_name      => 'UpdatePersonImage'
    ,p_securing_function => 'XXAS_SRV_U_PER_IMAGE_PERM'
    ,p_plsql_procedure   => 'xxas_per_image_pkg.update_image'
    ,p_parameters        => xxas_com_sr_param_varray
                              (xxas_com_sr_param_type('pPersonId', xxas_com_sr_pkg.g_NUMBER)
                              ,xxas_com_sr_param_type('pImage'   , xxas_com_sr_pkg.g_BLOB)));

END;
/
COMMIT;
EXIT;
